Bug 734351

Summary: Build minimal Fedora images for testing Nova
Product: [Fedora] Fedora Reporter: Mark McLoughlin <markmc>
Component: openstack-glanceAssignee: Mark McLoughlin <markmc>
Status: CLOSED UPSTREAM QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: apevec, asalkeld, markmc, matt_domsch
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-03-08 09:17:04 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 744390    
Bug Blocks:    

Description Mark McLoughlin 2011-08-30 07:06:01 UTC
In the "getting started" instructions:

  https://fedoraproject.org/wiki/Getting_started_with_OpenStack_Nova

we download Ubuntu images from rackspace and use those for testing. We should really have Fedora images available for this

Comment 1 Mark McLoughlin 2011-09-01 14:25:30 UTC
We now have instructions on building Fedora 15 images with Oz:

  https://fedoraproject.org/wiki/Getting_started_with_OpenStack_Nova#Building_an_Image_With_Oz

Comment 2 Alan Pevec 2011-10-12 07:58:56 UTC
Another option to build an image is appliance-creator (based on livecd-creator but instead of ISO, partitioned disk image is produced).
For F16 images, we need to fix blocker bug 744390 - Add support for GRUB2

Comment 3 Mark McLoughlin 2012-03-08 09:17:04 UTC
danpb is publishing images here: http://berrange.fedorapeople.org/images/